View Issue Details

IDProjectCategoryView StatusLast Update
0031426RunnerHTML5Public2019-10-15 12:09
ReporterScott DunbarAssigned ToRussell Kay 
PriorityHighSeverityA - Crash/HangReproducibility100%
Status ClosedResolutionFixed 
PlatformHTML5OSOS Version
Product Version2.2.4 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031426: HTML5: for() loops that omit sections of the statement/expression will cause a page crash
DescriptionIssue:
 for() loops that omit sections of the statement/expression will cause a page crash

example:
for(var i = 0;;)
{
 show_message("G");
 break;
}

This functions in windows.

with attached project, 2.2.3 did not error but the code itself would not execute when the buttons were pressed
Steps To Reproduce1. Import attached project
2. Run project for HTML5
3. Observe that the game will not run
4. Open developer console
5. observe error

TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.4.366
2.x Runtime Verified In2.2.4.368

Relationships

related to 0031417 ClosedRussell Kay HTML5: for() loops cause a page crash 

Activities

Scott Dunbar

2019-10-10 16:02

Adminstrator  

forbug2.yyz (17,793 bytes)

Russell Kay

2019-10-10 18:34

Manager   ~0064959

Fixed in gitlab

Dan

2019-10-11 15:20

Adminstrator   ~0064965

Runtime 367+

Scott Dunbar

2019-10-15 12:09

Adminstrator   ~0064988

Verified fixed